%define	libtorrentver	0.13.8

Name:		rtorrent
Epoch:		1
Version:	0.9.8
Release:	%mkrel 4
Summary:	Curses based BitTorrent client
License:	GPLv2+
Group:		Networking/File transfer
URL:		https://rakshasa.github.io/rtorrent/
Source0:	http://rtorrent.net/downloads/%{name}-%{version}.tar.gz
# http://libtorrent.rakshasa.no/ticket/2326
# http://libtorrent.rakshasa.no/ticket/2327
Patch0:		rtorrent-0.9.3-makefile-am.patch
Patch1:		rtorrent-0.9.3-makefile-in.patch
Patch2:		0001-utils-lockfile-avoid-stack-overflow-for-lockfile-buf.patch
BuildRequires:	pkgconfig(libtorrent) >= %{libtorrentver}
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(ncursesw)
BuildRequires:	pkgconfig(xmlrpc)
BuildRequires:	pkgconfig(sigc++-2.0)
Requires:	libtorrent >= %{libtorrentver}

%description
This is a text mode BitTorrent client with a curses interface based on
libtorrent.

%prep
%setup -q
%autopatch -p1

%build
%configure \
	--with-xmlrpc-c
%make_build

%install
%make_install

%files
%doc README AUTHORS doc/rtorrent.rc
%{_bindir}/rtorrent


%changelog
* Thu Apr 20 2023 daviddavid <daviddavid> 1:0.9.8-4.mga9
+ Revision: 1953652
- backport upstream patch to avoid stack overflow for lockfile buffer

* Thu Mar 24 2022 umeabot <umeabot> 1:0.9.8-3.mga9
+ Revision: 1825362
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 1:0.9.8-2.mga8
+ Revision: 1527667
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Jul 21 2019 daviddavid <daviddavid> 1:0.9.8-1.mga8
+ Revision: 1423274
- new version: 0.9.8

* Sun Sep 23 2018 umeabot <umeabot> 1:0.9.7-2.mga7
+ Revision: 1300867
- Mageia 7 Mass Rebuild

* Tue Jun 12 2018 daviddavid <daviddavid> 1:0.9.7-1.mga7
+ Revision: 1236561
- new version: 0.9.7

* Sun Apr 08 2018 daviddavid <daviddavid> 1:0.9.6-3.mga7
+ Revision: 1216155
- add two fedora patches to fix underlinking issue with new xmlrpc-c
- rebuild for new xmlrpc-c 1.51.0

* Fri Feb 12 2016 umeabot <umeabot> 1:0.9.6-2.mga6
+ Revision: 958784
- Mageia 6 Mass Rebuild

* Sun Oct 18 2015 wally <wally> 1:0.9.6-1.mga6
+ Revision: 892463
- new version 0.9.6

* Thu Aug 27 2015 cjw <cjw> 1:0.9.4-4.mga6
+ Revision: 870102
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 1:0.9.4-3.mga5
+ Revision: 739849
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.9.4-2.mga5
+ Revision: 688733
- Mageia 5 Mass Rebuild
+ wally <wally>
- fix URL

* Sat Jun 21 2014 wally <wally> 1:0.9.4-1.mga5
+ Revision: 638273
- new version 0.9.4

* Sat Oct 19 2013 umeabot <umeabot> 1:0.9.3-2.mga4
+ Revision: 523900
- Mageia 4 Mass Rebuild

* Sun May 26 2013 wally <wally> 1:0.9.3-1.mga4
+ Revision: 427883
- new version 0.9.3
- drop old docs (faq and man page)
- clean .spec a bit

* Mon Jan 14 2013 umeabot <umeabot> 1:0.9.2-3.mga3
+ Revision: 380568
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Aug 23 2012 remmy <remmy> 1:0.9.2-2.mga3
+ Revision: 283335
- Install manual page

* Mon Jun 04 2012 wally <wally> 1:0.9.2-1.mga3
+ Revision: 254383
- new version 0.9.2
- clean .spec a bit

* Wed Mar 07 2012 remmy <remmy> 1:0.8.9-2.mga2
+ Revision: 221377
- Revert to last stable upstream release

* Fri Feb 24 2012 wally <wally> 1:0.9.0-1.mga2
+ Revision: 214047
- new version 0.9.0
  * update as libtorrent is also updated

* Fri Jun 24 2011 wally <wally> 1:0.8.9-1.mga2
+ Revision: 113106
- new version 0.8.9
+ kharec <kharec>
- update libtorrentver to 0.12.8

* Sun Jun 12 2011 kharec <kharec> 1:0.8.8-1.mga2
+ Revision: 105275
- new version
+ wally <wally>
- update BRs

* Fri Feb 25 2011 wally <wally> 1:0.8.7-2.mga1
+ Revision: 60005
- drop buildroot definition
- clean .spec
- imported package rtorrent


* Mon Nov 01 2010 Götz Waschk <waschk@mandriva.org> 1:0.8.7-1mdv2011.0
+ Revision: 591456
- new version
- bump libtorrent dep
- remove old man page

* Mon Apr 12 2010 Funda Wang <fwang@mandriva.org> 1:0.8.6-3mdv2010.1
+ Revision: 533658
- use correct ldflags

* Mon Apr 12 2010 Funda Wang <fwang@mandriva.org> 1:0.8.6-2mdv2010.1
+ Revision: 533655
- rebuild for openssl 1.0

  + Sandro Cazzaniga <kharec@mandriva.org>
    - clean spec, not bump release

* Mon Dec 07 2009 Götz Waschk <waschk@mandriva.org> 1:0.8.6-1mdv2010.1
+ Revision: 474399
- new version
- bump libtorrent dep
- drop patch

* Tue Jun 23 2009 Götz Waschk <waschk@mandriva.org> 1:0.8.5-1mdv2010.0
+ Revision: 388791
- new version
- fix format string
- bump libtorrent dep

* Fri Nov 21 2008 Götz Waschk <waschk@mandriva.org> 1:0.8.4-1mdv2009.1
+ Revision: 305445
- new version
- bump deps

* Thu Sep 18 2008 Götz Waschk <waschk@mandriva.org> 1:0.8.3-1mdv2009.0
+ Revision: 285631
- new version
- bump dep
- drop all patches

* Sun Sep 07 2008 Gaëtan Lehmann <glehmann@mandriva.org> 1:0.8.2-4mdv2009.0
+ Revision: 282118
- enable scgi support

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 1:0.8.2-3mdv2009.0
+ Revision: 269225
- rebuild early 2009.0 package (before pixel changes)

* Fri Aug 08 2008 Götz Waschk <waschk@mandriva.org> 1:0.8.2-2mdv2009.0
+ Revision: 268228
- sync patches with Gentoo
- update license

* Fri May 09 2008 Götz Waschk <waschk@mandriva.org> 1:0.8.2-1mdv2009.0
+ Revision: 204987
- new version
- bump libtorrent dep

* Wed Apr 23 2008 Götz Waschk <waschk@mandriva.org> 1:0.8.1-1mdv2009.0
+ Revision: 196740
- new version

* Tue Jan 29 2008 Götz Waschk <waschk@mandriva.org> 1:0.8.0-1mdv2008.1
+ Revision: 159988
- new version
- bump deps

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Oct 26 2007 Funda Wang <fwang@mandriva.org> 1:0.7.9-1mdv2008.1
+ Revision: 102268
- removed unapplied
- New version 0.7.9

* Tue Oct 09 2007 Götz Waschk <waschk@mandriva.org> 1:0.7.8-1mdv2008.1
+ Revision: 96273
- new version
- bump deps

* Mon Aug 20 2007 Götz Waschk <waschk@mandriva.org> 1:0.7.7-1mdv2008.0
+ Revision: 67303
- new version
- bump deps
- patch for rearranged sigc++2.0 headers

* Thu Aug 02 2007 Götz Waschk <waschk@mandriva.org> 1:0.7.6-1mdv2008.0
+ Revision: 58092
- new version
- bump deps

* Tue Jul 03 2007 Götz Waschk <waschk@mandriva.org> 1:0.7.5-1mdv2008.0
+ Revision: 47398
- new version
- bump deps


* Thu Mar 29 2007 Götz Waschk <waschk@mandriva.org> 0.7.4-1mdv2007.1
+ Revision: 149306
- new version
- bump deps
- remove build fix

* Sun Jan 28 2007 Götz Waschk <waschk@mandriva.org> 1:0.7.2-1mdv2007.1
+ Revision: 114600
- new version
- bump deps

* Sun Dec 31 2006 Götz Waschk <waschk@mandriva.org> 1:0.7.1-1mdv2007.1
+ Revision: 102963
- new version
- bump deps

* Sat Dec 16 2006 Götz Waschk <waschk@mandriva.org> 1:0.7.0-3mdv2007.1
+ Revision: 98173
- fix build
- switch to libncursesw

* Thu Dec 14 2006 Götz Waschk <waschk@mandriva.org> 1:0.7.0-2mdv2007.1
+ Revision: 96734
- bot rebuild
- new version
- bump deps

* Wed Nov 08 2006 Götz Waschk <waschk@mandriva.org> 1:0.6.4-2mdv2007.0
+ Revision: 78122
- fix optimization flags

* Sun Oct 29 2006 Götz Waschk <waschk@mandriva.org> 1:0.6.4-1mdv2007.1
+ Revision: 73633
- new version

* Fri Oct 13 2006 Götz Waschk <waschk@mandriva.org> 1:0.6.3-2mdv2006.0
+ Revision: 63780
- rebuild
- Import rtorrent

* Thu Oct 12 2006 Götz Waschk <waschk@mandriva.org> 1:0.6.3-1mdv2007.1
- New version 0.6.3

* Fri Sep 29 2006 Götz Waschk <waschk@mandriva.org> 1:0.6.2-1mdv2007.0
- New version 0.6.2

* Tue Aug 22 2006 Götz Waschk <waschk@mandriva.org> 1:0.6.1-1mdv2007.0
- bump deps
- New release 0.6.1

* Tue Jul 18 2006 Götz Waschk <waschk@mandriva.org> 1:0.6.0-1mdv2007.0
- fix build
- bump deps
- New release 0.6.0

* Thu May 25 2006 Götz Waschk <waschk@mandriva.org> 1:0.5.3-1mdk
- New release 0.5.3

* Mon May 22 2006 Götz Waschk <waschk@mandriva.org> 1:0.5.2-1mdk
- drop patch
- New release 0.5.2

* Mon May 08 2006 Götz Waschk <waschk@mandriva.org> 0.5.1-1mdk
- patch to fix the build
- bump deps
- New release 0.5.1

* Mon Apr 10 2006 Götz Waschk <waschk@mandriva.org> 1:0.5.0-1mdk
- bump deps
- New release 0.5.0

* Mon Feb 20 2006 Götz Waschk <waschk@mandriva.org> 0.4.5-1mdk
- New release 0.4.5

* Mon Jan 23 2006 Götz Waschk <waschk@mandriva.org> 1:0.4.3-1mdk
- New release 0.4.3

* Thu Jan 12 2006 Götz Waschk <waschk@mandriva.org> 0.4.2-1mdk
- New release 0.4.2

* Wed Dec 21 2005 Götz Waschk <waschk@mandriva.org> 0.4.1-1mdk
- New release 0.4.1

* Mon Nov 28 2005 Götz Waschk <waschk@mandriva.org> 1:0.4.0-1mdk
- bump deps
- New release 0.4.0

* Thu Oct 20 2005 Götz Waschk <waschk@mandriva.org> 01:.3.6-1mdk
- bump deps
- New release 0.3.6

* Sat Oct 01 2005 Götz Waschk <waschk@mandriva.org> 1:0.3.5-1mdk
- bump deps
- New release 0.3.5

* Mon Sep 19 2005 Götz Waschk <waschk@mandriva.org>  1:0.3.4-1mdk
- bump deps
- New release 0.3.4

* Tue Sep 06 2005 Götz Waschk <waschk@mandriva.org> 1:0.3.3-1mdk
- bump deps
- New release 0.3.3

* Thu Aug 25 2005 Götz Waschk <waschk@mandriva.org> 0.3.2-1mdk
- bump deps
- New release 0.3.2

* Thu Jul 21 2005 Götz Waschk <waschk@mandriva.org> 1:0.3.0-1mdk
- mkrel
- bump deps
- New release 0.3.0

* Thu Jul 14 2005 Götz Waschk <waschk@mandriva.org> 1:0.2.7-2mdk
- fix buildrequires

* Thu Jul 14 2005 Götz Waschk <waschk@mandriva.org> 1:0.2.7-1mdk
- add more docs
- bump deps
- New release 0.2.7

* Tue Jun 28 2005 Götz Waschk <waschk@mandriva.org> 0.2.6-1mdk
- update file list
- bump deps
- New release 0.2.6

* Tue Jun 21 2005 Götz Waschk <waschk@mandriva.org> 1:0.2.5-1mdk
- bump deps
- New release 0.2.5

* Thu Jun 09 2005 Götz Waschk <waschk@mandriva.org> 0.2.4-1mdk
- bump deps
- New release 0.2.4

* Thu Jun 02 2005 Götz Waschk <waschk@mandriva.org> 1:0.2.3-1mdk
- bump deps
- New release 0.2.3

* Sat May 07 2005 Götz Waschk <waschk@mandriva.org> 0.2.2-1mdk
- bump deps
- New release 0.2.2

* Sat Apr 30 2005 Götz Waschk <waschk@mandriva.org> 0.2.1-1mdk
- bump deps
- New release 0.2.1

* Sun Apr 24 2005 Götz Waschk <waschk@mandriva.org> 0.2.0-2mdk
- force dep on the right library version

* Thu Apr 21 2005 Götz Waschk <waschk@mandriva.org> 0.2.0-1mdk
- requires new libtorrent
- New release 0.2.0

* Sat Apr 16 2005 Götz Waschk <waschk@linux-mandrake.com> 0.1.5-1mdk
- bump deps
- New release 0.1.5

* Wed Mar 30 2005 Götz Waschk <waschk@linux-mandrake.com> 0.1.4-1mdk
- requires new libtorrent
- New release 0.1.4

* Wed Mar 09 2005 Götz Waschk <waschk@linux-mandrake.com> 1:0.1.2-1mdk
- split from the libtorrent package

* Wed Mar 09 2005 Götz Waschk <waschk@linux-mandrake.com> 0.5.1-1mdk
- New release 0.5.1

* Sun Feb 27 2005 Götz Waschk <waschk@linux-mandrake.com> 0.5.0-1mdk
- New release 0.5.0

* Sun Feb 20 2005 Götz Waschk <waschk@linux-mandrake.com> 0.4.11-1mdk
- initial mdk package

* Sat Dec 18 2004 - darix@irssi.org
- initial package

